fields

## Class DataRecord.DIFE

- java.lang.Object
- - fields.DataRecord.DataRecordHeaderBase
  - - fields.DataRecord.DIFE

- Enclosing class:
    DataRecord

      public class DataRecord.DIFE
      extends DataRecord.DataRecordHeaderBase

  Model for the WM-Bus DIFE.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `deviceSubunitBit`
    `private java.lang.String` | `storageNumberBits`
    `private java.lang.String` | `tariffBits`

    - ### Fields inherited from class fields.DataRecord.DataRecordHeaderBase

      `extensionBit`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIFE()`
    `DIFE(boolean extensionBit, boolean deviceSubunitBit, java.lang.String tariffBits, java.lang.String storageNumberBits)`
    `DIFE(java.lang.Byte b)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBits()`
    `java.lang.String` | `getStorageNumberBits()`
    `java.lang.String` | `getTariffBits()`
    `boolean` | `isDeviceSubunitBit()`
    `void` | `setDeviceSubunitBit(boolean deviceSubunitBit)`
    `void` | `setStorageNumberBits(java.lang.String storageNumberBits)`
    `void` | `setTariffBits(java.lang.String tariffBits)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class fields.DataRecord.DataRecordHeaderBase

      `getByte, isExtensionBit, setExtensionBit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### deviceSubunitBit

          private boolean deviceSubunitBit

    - #### storageNumberBits

          private java.lang.String storageNumberBits

    - #### tariffBits

          private java.lang.String tariffBits

  - ### Constructor Detail

    - #### DIFE

          public DIFE()

    - #### DIFE

          public DIFE(boolean extensionBit,
                      boolean deviceSubunitBit,
                      java.lang.String tariffBits,
                      java.lang.String storageNumberBits)

    - #### DIFE

          public DIFE(java.lang.Byte b)

  - ### Method Detail

    - #### getBits

          public java.lang.String getBits()

      Specified by:
        `getBits` in class `DataRecord.DataRecordHeaderBase`

    - #### getStorageNumberBits

          public java.lang.String getStorageNumberBits()

    - #### getTariffBits

          public java.lang.String getTariffBits()

    - #### isDeviceSubunitBit

          public boolean isDeviceSubunitBit()

    - #### setDeviceSubunitBit

          public void setDeviceSubunitBit(boolean deviceSubunitBit)

    - #### setStorageNumberBits

          public void setStorageNumberBits(java.lang.String storageNumberBits)

    - #### setTariffBits

          public void setTariffBits(java.lang.String tariffBits)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `DataRecord.DataRecordHeaderBase`